import request from '@/utils/request'

// 查询自动打标签的日志列表
export function listAutoTagsLogs(query) {
  return request({
    url: '/qw/autoTagsLogs/list',
    method: 'get',
    params: query
  })
}

// 查询自动打标签的日志详细
export function getAutoTagsLogs(id) {
  return request({
    url: '/qw/autoTagsLogs/' + id,
    method: 'get'
  })
}

// 新增自动打标签的日志
export function addAutoTagsLogs(data) {
  return request({
    url: '/qw/autoTagsLogs',
    method: 'post',
    data: data
  })
}

// 修改自动打标签的日志
export function updateAutoTagsLogs(data) {
  return request({
    url: '/qw/autoTagsLogs',
    method: 'put',
    data: data
  })
}

// 删除自动打标签的日志
export function delAutoTagsLogs(id) {
  return request({
    url: '/qw/autoTagsLogs/' + id,
    method: 'delete'
  })
}

// 导出自动打标签的日志
export function exportAutoTagsLogs(query) {
  return request({
    url: '/qw/autoTagsLogs/export',
    method: 'get',
    params: query
  })
}
